=== debian/changelog ===
libktorrent (2.1-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 19 Jan 2021 14:24:23 +0800

libktorrent (2.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildd's logs.
  * Remove the doxygen build dependency, since the API docs are not generated
    anyway.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2017 21:03:17 +0200

libktorrent (2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-gcrypt-version.diff: drop, obsolete
  * Replace deprecated build dependencies:
    - kio-dev -> libkf5kio-dev
  * Rename libktorrent6 to libkf5torrent6, according to the new library name.
  * Update install files.
  * Update symbols files. (Closes: #853495)
  * Do not pass -DCMAKE_USE_RELATIVE_PATHS=ON to cmake, as this option is gone
    since cmake 3.2.
  * No need to manually append CPPFLAGS to CFLAGS and CXXFLAGS, as dh 9 does
    that already.
  * Pass -DBUILD_TESTING=OFF to disable the building of unit tests: they are
    not executed already, and a quick test here shows that they fail (most
    probably to the lack of networking).
  * Remove the libkf5torrent6 dependency in libktorrent-l10n, since the latter
    is only a package with data.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2017 09:26:10 +0200

libktorrent (2.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5archive-dev, libkf5crash-dev,
      libkf5i18n-dev, kio-dev, libkf5solid-dev, and libqca-qt5-2-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename libktorrent5 to libktorrent6, following the SONAME bump.
  * Update the patches:
    - upstream_don-t-include-circular_buffer-in-moc-run.patch: drop,
      backported from upstream
    - set-pathmax.diff: refresh
  * Fix extraction in cmake of the libcrypt version; patch
    cmake-gcrypt-version.diff.
  * Update install files.
  * Update symbols file.
  * Remove libktorrent-dbg in favour of the -dbgsym packages.
  * Update dependencies in libktorrent-dev.
  * Update Vcs-* fields.
  * Switch Homepage away from the dead ktorrent.org.
  * Add a watch file.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Mark libktorrent6 as "Multi-Arch: same".
  * Small updates in the descriptions.
  * Replace (build) dependencies with non-transitional packages:
    - libgmp3-dev -> libgmp-dev
    - libgcrypt11-dev -> libgcrypt20-dev
  * Minor copyright update.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2016 22:20:07 +0200
