=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

override_dh_strip:
	dh_strip --dbgsym-migration='libktorrent-dbg (<< 2.0.1-1~)'

%:
	dh $@ --parallel --with kf5

.PHONY: override_dh_auto_test
