=== src/util/tests/CMakeLists.txt ===
set(circularbuffertest_SRCS circularbuffertest.cpp)
add_executable(circularbuffertest ${circularbuffertest_SRCS})
add_test(circularbuffertest circularbuffertest)
ecm_mark_as_test(circularbuffertest)
target_link_libraries( circularbuffertest Qt5::Test KF5::Torrent)

if(NOT MSVC)
set(signalcatchertest_SRCS signalcatchertest.cpp)
add_executable(signalcatchertest ${signalcatchertest_SRCS})
add_test(signalcatchertest signalcatchertest)
ecm_mark_as_test(signalcatchertest)
target_link_libraries( signalcatchertest Qt5::Test KF5::Torrent)
endif(NOT MSVC)

set(resourcemanagertest_SRCS resourcemanagertest.cpp)
add_executable(resourcemanagertest ${resourcemanagertest_SRCS})
add_test(resourcemanagertest resourcemanagertest)
ecm_mark_as_test(resourcemanagertest)
target_link_libraries( resourcemanagertest Qt5::Test KF5::Torrent)

set(fileopstest_SRCS fileopstest.cpp)
add_executable(fileopstest ${fileopstest_SRCS})
add_test(fileopstest fileopstest)
ecm_mark_as_test(fileopstest)
target_link_libraries( fileopstest  Qt5::Test KF5::Torrent)

set(bufferpooltest_SRCS bufferpooltest.cpp)
add_executable(bufferpooltest ${bufferpooltest_SRCS})
add_test(bufferpooltest bufferpooltest)
ecm_mark_as_test(bufferpooltest)
target_link_libraries( bufferpooltest  Qt5::Test KF5::Torrent)
