=== debian/changelog ===
libktorrent (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (2.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Sep 2017 01:13:36 +0100

libktorrent (2.0.90-0ubuntu1) artful; urgency=medium

  * New upstream RC release (2.0.90)
  * Switch kio depends to new KF5 name: kio-dev -> libkf5kio-dev
  * wrap-and-sort
  * Update symbols from build logs
  * Libraries and development files now have KF5 style paths and names,
    so update install files accordingly.
  * debian/patches: drop cmake-gcrypt-version.diff as similar fix applied
    in upstream master

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 21 Aug 2017 10:57:24 +0100
