=== src/torrent/tests/CMakeLists.txt ===
set(statsfiletest_SRCS statsfiletest.cpp)
add_executable(statsfiletest ${statsfiletest_SRCS})
add_test(statsfiletest statsfiletest)
ecm_mark_as_test(statsfiletest)
target_link_libraries( statsfiletest Qt5::Test KF5::Torrent)

set(torrentfilestreamtest_SRCS torrentfilestreamtest.cpp)
add_executable(torrentfilestreamtest ${torrentfilestreamtest_SRCS})
add_test(torrentfilestreamtest torrentfilestreamtest)
ecm_mark_as_test(torrentfilestreamtest)
target_link_libraries( torrentfilestreamtest Qt5::Test testlib KF5::Torrent)

set(torrentfilestreammultitest_SRCS torrentfilestreammultitest.cpp)
add_executable(torrentfilestreammultitest ${torrentfilestreammultitest_SRCS})
add_test(torrentfilestreammultitest torrentfilestreammultitest)
ecm_mark_as_test(torrentfilestreammultitest)
target_link_libraries( torrentfilestreammultitest Qt5::Test testlib KF5::Torrent)
