=== debian/changelog ===
libktorrent (2.1.1-2ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:02:54 +0100

libktorrent (2.1.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Breaks/Replaces for libkf5torrent6 against libktorrent6.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 10:54:23 +0000

libktorrent (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildd's logs.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 21:22:51 +0200

libktorrent (2.1.1-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Breaks/Replaces for libkf5torrent6 against libktorrent6.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 07:39:05 +0100

libktorrent (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
    - remove --parallel to dh
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update symbols file.
  * Switch watch file to https.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 14:53:31 +0200

libktorrent (2.1.1-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (2.1.1)
  * Merge debian changes from 2.1-2, remaining changes:
    - Breaks/Replaces for libkf5torrent6 against libktorrent6, as this was
      renamed for 2.1 in debian experimental prior to upload to sid
    - Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Sep 2019 14:55:37 +0100
