=== debian/watch ===
version=4
https://download.kde.org/stable/ktorrent/([\d\.]+)/libktorrent-([\d\.]+)\.tar\.xz
