## libktorrent 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,9 @@
 set(LibGMP_MIN_VERSION "6.0.0")
 set(LibGcrypt_MIN_VERSION "1.4.5")
 set(KF5_MIN_VERSION "5.15")
-set(QT_MIN_VERSION "5.2.0")
+set(QT_MIN_VERSION "5.7.0")
 
-set(LIBKTORRENT_VERSION "2.1.1")
+set(LIBKTORRENT_VERSION "2.2.0")
 
 ecm_setup_version(${LIBKTORRENT_VERSION} VARIABLE_PREFIX LIBKTORRENT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libktorrent_version.h"
