=== src/diskio/tests/CMakeLists.txt ===
set(chunkmanagertest_SRCS chunkmanagertest.cpp)
add_executable(chunkmanagertest ${chunkmanagertest_SRCS})
add_test(chunkmanagertest chunkmanagertest)
ecm_mark_as_test(chunkmanagertest)
target_link_libraries(chunkmanagertest Qt5::Test testlib KF5::Torrent)

set(preallocationtest_SRCS preallocationtest.cpp)
add_executable(preallocationtest ${preallocationtest_SRCS})
add_test(preallocationtest preallocationtest)
ecm_mark_as_test(preallocationtest)
target_link_libraries(preallocationtest Qt5::Test testlib KF5::Torrent)
