=== debian/changelog ===
libktorrent (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the symbols file from the logs of buildds; also prepare for
    boost 1.74. (Closes: #975445)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:57:39 +0100

libktorrent (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 16:57:25 +0200

libktorrent (2.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly add the gettext build dependency.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * libkf5torrent6 had an ABI break with no SONAME bump, so:
    - apply the Debian ABI manager; patch enable_debianabimanager.diff
    - rename libkf5torrent6 to libkf5torrent6abi1
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 08:38:43 +0200
