=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper (>= 11~), pkg-kde-tools (>= 0.15.16),
+Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules (>= 1.0.0),
  qtbase5-dev,
  libkf5archive-dev (>= 5.15),
@@ -14,18 +14,20 @@
  libqca-qt5-2-dev,
  libgmp-dev, libboost-dev, libgcrypt20-dev,
  pkg-config,
-Standards-Version: 4.4.0
+ gettext,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent
 
-Package: libkf5torrent6
+Package: libkf5torrent6abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5Torrent
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libktorrent-l10n (>= ${source:Version})
-Breaks: libktorrent6
-Replaces: libktorrent6
 Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).
@@ -39,7 +41,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5torrent6 (= ${binary:Version}), ${misc:Depends},
+Depends: libkf5torrent6abi1 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:qtbase5-dev},
  ${sameVersionDep:libkf5archive-dev},
  ${sameVersionDep:libkf5config-dev},
