=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
- extra-cmake-modules (>= 1.0.0),
- qtbase5-dev,
- libkf5archive-dev (>= 5.15),
- libkf5crash-dev (>= 5.15),
- libkf5i18n-dev (>= 5.15),
- libkf5kio-dev (>= 5.15),
- libkf5solid-dev (>= 5.15),
- libqca-qt5-2-dev,
- libgmp-dev, libboost-dev, libgcrypt20-dev,
- pkg-config,
- gettext,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 1.0.0),
+               gettext,
+               libboost-dev,
+               libgcrypt20-dev,
+               libgmp-dev,
+               libkf5archive-dev (>= 5.15),
+               libkf5crash-dev (>= 5.15),
+               libkf5i18n-dev (>= 5.15),
+               libkf5kio-dev (>= 5.15),
+               libkf5solid-dev (>= 5.15),
+               libqca-qt5-2-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
@@ -41,14 +45,15 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5torrent6abi1 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:qtbase5-dev},
- ${sameVersionDep:libkf5archive-dev},
- ${sameVersionDep:libkf5config-dev},
- ${sameVersionDep:libkf5kio-dev},
- libboost-dev,
- libgmp-dev,
- libgcrypt20-dev,
+Depends: libboost-dev,
+         libgcrypt20-dev,
+         libgmp-dev,
+         libkf5torrent6abi1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${sameVersionDep:libkf5archive-dev},
+         ${sameVersionDep:libkf5config-dev},
+         ${sameVersionDep:libkf5kio-dev},
+         ${sameVersionDep:qtbase5-dev},
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).
