## libktorrent 21.08.0

=== debian/changelog ===
libktorrent (21.08.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Norbert Preining <norbert@preining.info>  Wed, 20 Oct 2021 16:11:31 +0900

libktorrent (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release within KDE Gears (21.08.0).
  * Update watch file.
  * Add upstream signing key.
  * Update build-deps and deps with the info from cmake.
  * Update patch.
  * Removed Modestas Vainius from the uploaders, thanks for your work on
    the package!
  * Added myself to the uploaders.
  * Update maintainer to Qt/KDE Team.
  * ABI bump due to severe change of symbols/ABI:
    - rename library to libkf5torrent6abi2
    - update symbols, installed files

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Aug 2021 11:42:50 +0900
