=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.0.0),
+               extra-cmake-modules (>= 5.82~),
                gettext,
-               libboost-dev,
-               libgcrypt20-dev,
+               libboost-dev (>= 1.71.0~),
+               libgcrypt20-dev (>= 1.4.5~),
                libgmp-dev,
-               libkf5archive-dev (>= 5.15),
-               libkf5crash-dev (>= 5.15),
-               libkf5i18n-dev (>= 5.15),
-               libkf5kio-dev (>= 5.15),
-               libkf5solid-dev (>= 5.15),
+               libkf5archive-dev (>= 5.82~),
+               libkf5crash-dev (>= 5.82~),
+               libkf5i18n-dev (>= 5.82~),
+               libkf5kio-dev (>= 5.82~),
+               libkf5solid-dev (>= 5.82~),
                libqca-qt5-2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent
 
-Package: libkf5torrent6abi1
-X-Debian-ABI: 1
+Package: libkf5torrent6abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5Torrent
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libktorrent-l10n (>= ${source:Version})
 Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
@@ -45,10 +45,10 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libboost-dev,
-         libgcrypt20-dev,
+Depends: libboost-dev (>= 1.71.0~),
+         libgcrypt20-dev (>= 1.4.5~),
          libgmp-dev,
-         libkf5torrent6abi1 (= ${binary:Version}),
+         libkf5torrent6abi2 (= ${binary:Version}),
          ${misc:Depends},
          ${sameVersionDep:libkf5archive-dev},
          ${sameVersionDep:libkf5config-dev},
